## kirigami2-5.116.0-2.src.tar.gz

=== src/scenegraph/shaders6/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

if (QT_MAJOR_VERSION EQUAL "6")
    qt6_add_shaders(KirigamiPlugin "shaders6"
        BATCHABLE
        PRECOMPILE
        OPTIMIZED
        PREFIX "/org/kde/kirigami/shaders/"
        FILES
            shadowedrectangle.vert
            shadowedrectangle.frag
            shadowedrectangle_lowpower.frag
            shadowedborderrectangle.frag
            shadowedborderrectangle_lowpower.frag
            shadowedtexture.frag
            shadowedtexture_lowpower.frag
            shadowedbordertexture.frag
            shadowedbordertexture_lowpower.frag
    )
endif()

=== PKGBUILD ===
# Maintainer: Antonio Rojas <arojas@archlinux.org>

pkgname=kirigami2
pkgver=5.116.0
pkgrel=2
pkgdesc='A QtQuick based components set'
arch=(x86_64)
url='https://community.kde.org/Frameworks'
license=(LGPL)
groups=(kf5)
depends=(qt5-quickcontrols qt5-quickcontrols2 qt5-graphicaleffects)
makedepends=(extra-cmake-modules qt5-svg qt5-tools kpackage5)
source=(https://download.kde.org/stable/frameworks/${pkgver%.*}/$pkgname-$pkgver.tar.xz{,.sig})
sha256sums=('8b584da74a0c4488ad5e31c3d740a1813c35d28bc003fef8854963d17058c9e0'
            'SKIP')
validpgpkeys=('53E6B47B45CEA3E0D5B7457758D0EE648A48B3BB') # David Faure <faure@kde.org>

build() {
  cmake -B build -S $pkgname-$pkgver \
    -DBUILD_TESTING=OFF
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
